# Laurent - 3.0-0.1mdk - Temporary macros. To remove later
%define _prefix         /opt/kde3/
%define _exec-prefix    /opt/kde3/
%define _bindir         /opt/kde3/bin/
%define _sbindir        /opt/kde3/sbin/
%define _sysconfdir     /opt/kde3/etc/
%define _datadir        /opt/kde3/share/
%define _includedir     /opt/kde3/include/
%define _libdir         /opt/kde3/lib/
%define _libexecdir     /opt/kde3/lib/
%define _localstatedir  /opt/kde3/var/lib/
%define _sharedstatedir /opt/kde3/com/
%define _mandir         /opt/kde3/share/man/
%define _infodir        /opt/kde3/share/info/
%define _docdir         /opt/kde3/share/doc/
%define _menudir        /usr/lib/menu

# David - 3.0-0.beta1.4mdk - Reminder: 8.0 is for IA32 and PPC
#                                      8.1 is for IA32 and IA64
#                                      8.2 is for IA32, IA64 and PPC

# David - 3.0-0.beta1.4mdk - Define macro used to control build options for
#                            each LMDK distributions
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_3 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.3 ]; then echo 1; else echo 0; fi)}

# David - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%if %buildfor8_3
%define unstable 1
%else
%define unstable 0
%endif

Name:		kdenetwork3
Summary:	K Desktop Environment - Network Applications
Version:	3.0.2
Release:	1mdk
Epoch:		1
Group:          Development/KDE and Qt
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>
URL:		http://www.kde.org/
License:	GPL

Source:		kdenetwork-%{version}.tar.bz2
Source1:	kdenetwork3-kppp.pamd

# Not perfect => not apply 3.0-4mdk
Patch1:		kdenetwork3-kmail-default-color.patch.bz2

BuildRoot:	%_tmppath/%name-%version-%release-root

# David - 3.0-0.beta1.4mdk - For kppp
Requires:	ppp


%description
Networking applications for the K Desktop Environment.


%package devel
Summary:	Header files for kdenetwork
%if %buildfor8_0 || %buildfor8_1
Group:		Development/KDE and QT
%else
Group:		Development/KDE and Qt
%endif
PreReq:		%name = %version-%release

%description devel
Header files for kdenetwork.



%prep


%setup -q -n kdenetwork-%{version}

%build
#make -f Makefile.cvs
export QTDIR=/%_libdir/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH="$QTDIR:/lib:$LD_LIBRARY_PATH"
export PATH="$KDEDIR/bin:$PATH"

%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
	./configure --prefix=%_prefix \
	            --sysconfdir=%_sysconfdir \
	            --build=%_target_platform \
		    --host=%_target_platform \
%if %unstable
			--enable-debug=full \
%else
			--disable-debug \
%endif			
		    --enable-final \
		    --enable-shared \
		    --disable-static \
		    --disable-qt-embedded \
		    --disable-palm-top \
		    --disable-rpath \
		    --with-gnu-ld \
		    --with-pic \
		    --with-xinerama


%make


%install
rm -fr %buildroot
export PATH=%_bindir:$PATH
# David - 3.0-0.beta1.4mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif

make install DESTDIR=%buildroot

install -d -m 0755 %buildroot/%_sysconfdir/pam.d/
install -m 0644 %SOURCE1 %buildroot/%_sysconfdir/pam.d/kppp

chmod u+s %buildroot/%_bindir/kppp

# Create LMDK menu structure
install -d -m 0755 %buildroot/%_menudir/

# %%_datadir/applnk/Internet/
kdedesktop2mdkmenu.pl kdenetwork3 "Networking/Instant messaging" %buildroot/%_datadir/applnk/Internet/kit.desktop %buildroot/%_menudir/kdenetwork3-kit
kdedesktop2mdkmenu.pl kdenetwork3 Networking/Mail %buildroot/%_datadir/applnk/Internet/KMail.desktop %buildroot/%_menudir/kdenetwork3-kmail
kdedesktop2mdkmenu.pl kdenetwork3 Networking/News %buildroot/%_datadir/applnk/Internet/KNode.desktop %buildroot/%_menudir/kdenetwork3-knode
kdedesktop2mdkmenu.pl kdenetwork3 Networking/News %buildroot/%_datadir/applnk/Internet/knewsticker-standalone.desktop %buildroot/%_menudir/kdenetwork3-knewsticker-standalone
kdedesktop2mdkmenu.pl kdenetwork3 Networking/Mail %buildroot/%_datadir/applnk/Internet/KOrn.desktop %buildroot/%_menudir/kdenetwork3-korn kde
kdedesktop2mdkmenu.pl kdenetwork3 "Networking/Remote access" %buildroot/%_datadir/applnk/Internet/Kppp.desktop %buildroot/%_menudir/kdenetwork3-kppp
kdedesktop2mdkmenu.pl kdenetwork3 "Networking/Remote access" %buildroot/%_datadir/applnk/Internet/kppplogview.desktop %buildroot/%_menudir/kdenetwork3-kppplogview
kdedesktop2mdkmenu.pl kdenetwork3 Networking/IRC %buildroot/%_datadir/applnk/Internet/ksirc.desktop %buildroot/%_menudir/kdenetwork3-ksirc kde 

# %%_datadir/applnk/Settings/Network/
kdedesktop2mdkmenu.pl kdenetwork3 Configuration/KDE/Network %buildroot/%_datadir/applnk/Settings/Network/kcmktalkd.desktop %buildroot/%_menudir/kdenetwork3-kcmktalkd kde
kdedesktop2mdkmenu.pl kdenetwork3 Configuration/KDE/Network %buildroot/%_datadir/applnk/Settings/Network/kcmnewsticker.desktop %buildroot/%_menudir/kdenetwork3-knewsticker kde
kdedesktop2mdkmenu.pl kdenetwork3 Configuration/KDE/Network %buildroot/%_datadir/applnk/Settings/Network/lanbrowser.desktop %buildroot/%_menudir/kdenetwork3-lanbrowser kde
#%%_datadir/applnk/Settings/System/*.desktop
kdedesktop2mdkmenu.pl kdenetwork3 Configuration/KDE/System %buildroot/%_datadir/applnk/Settings/System/kcmkxmlrpcd.desktop %buildroot/%_menudir/kdenetwork3-kcmkxmlrpcd kde

# %%_datadir/applnk/Personalization/
#kdedesktop2mdkmenu.pl kdenetwork3 Configuration/KDE/Personalization %buildroot/%_datadir/applnk/Settings/Personalization/kcmnewsticker.desktop %buildroot/%_menudir/kdenetwork3-kcmnewsticker-perso kde

# %%_datadir/applnk/Utilities/
kdedesktop2mdkmenu.pl kdenetwork3 "Applications/Text tools" %buildroot/%_datadir/applnk/Utilities/kdict.desktop %buildroot/%_menudir/kdenetwork3-kdict
kdedesktop2mdkmenu.pl kdenetwork3 Networking/Mail %buildroot/%_datadir/applnk/Utilities/kmailcvt.desktop %buildroot/%_menudir/kdenetwork3-kmailcvt


%post
%define _bindir         /usr/bin/
/sbin/ldconfig
%update_menus
%define _bindir         /opt/kde3/bin/

%postun
%define _bindir         /usr/bin/
/sbin/ldconfig
%clean_menus
%define _bindir         /opt/kde3/bin/


%clean
rm -fr %buildroot


%files 
%defattr(-,root,root,-)
%dir %_sysconfdir/pam.d/
%config(noreplace) %_sysconfdir/pam.d/kppp
#
#
#
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
#
%dir %_docdir/HTML/en/kit/
%doc %_docdir/HTML/en/kit/common
%doc %_docdir/HTML/en/kit/*.docbook
%doc %_docdir/HTML/en/kit/*.bz2
#
%dir %_docdir/HTML/en/kmail/
%doc %_docdir/HTML/en/kmail/common
%doc %_docdir/HTML/en/kmail/*.docbook
%doc %_docdir/HTML/en/kmail/*.bz2
#
%dir %_docdir/HTML/en/knewsticker/
%doc %_docdir/HTML/en/knewsticker/common
%doc %_docdir/HTML/en/knewsticker/TODO
%doc %_docdir/HTML/en/knewsticker/*.docbook
%doc %_docdir/HTML/en/knewsticker/*.png
%doc %_docdir/HTML/en/knewsticker/*.bz2
#
%dir %_docdir/HTML/en/knode/
%doc %_docdir/HTML/en/knode/common
%doc %_docdir/HTML/en/knode/*.docbook
%doc %_docdir/HTML/en/knode/*.png
%doc %_docdir/HTML/en/knode/*.po
%doc %_docdir/HTML/en/knode/*.bz2
#
%dir %_docdir/HTML/en/korn/
%doc %_docdir/HTML/en/korn/common
%doc %_docdir/HTML/en/korn/*.docbook
%doc %_docdir/HTML/en/korn/*.bz2
#
%dir %_docdir/HTML/en/kppp/
%doc %_docdir/HTML/en/kppp/common
%doc %_docdir/HTML/en/kppp/*.docbook
%doc %_docdir/HTML/en/kppp/*.fig
%doc %_docdir/HTML/en/kppp/*.png
%doc %_docdir/HTML/en/kppp/*.question
%doc %_docdir/HTML/en/kppp/*.txt
%doc %_docdir/HTML/en/kppp/*.bz2
#
%dir %_docdir/HTML/en/ksirc/
%doc %_docdir/HTML/en/ksirc/common
%doc %_docdir/HTML/en/ksirc/*.docbook
%doc %_docdir/HTML/en/ksirc/*.bz2
#
%dir %_docdir/HTML/en/ktalkd/
%doc %_docdir/HTML/en/ktalkd/common
%doc %_docdir/HTML/en/ktalkd/*.docbook
%doc %_docdir/HTML/en/ktalkd/*.bz2
#
%dir %_docdir/HTML/en/kpf/
%doc %_docdir/HTML/en/kpf/common
%doc %_docdir/HTML/en/kpf/*.docbook
%doc %_docdir/HTML/en/kpf/*.bz2
#
%dir %_docdir/HTML/en/kdict/
%doc %_docdir/HTML/en/kdict/common
%doc %_docdir/HTML/en/kdict/*.docbook
%doc %_docdir/HTML/en/kdict/*.png
%doc %_docdir/HTML/en/kdict/*.bz2
#
%doc %_docdir/HTML/en/lisa/common
%doc %_docdir/HTML/en/lisa/*.bz2
%doc %_docdir/HTML/en/lisa/*.docbook
#
#
%_bindir/*
#
#
#
%_libdir/*.la
%_libdir/*.so*
#
#
%dir %_libdir/kde3/
%_libdir/kde3/*.la
%_libdir/kde3/*.so*
#
#
#
%_menudir/*
#
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/.hidden/
%dir %_datadir/applnk/.hidden/knewstickerstub.desktop
#
#
%dir %_datadir/applnk/Internet/
%_datadir/applnk/Internet/*.desktop
#
#
%dir %_datadir/applnk/Settings/
%dir %_datadir/applnk/Settings/Personalization/
%_datadir/applnk/Settings/Personalization/*.desktop
#
%dir %_datadir/applnk/Settings/Network/
%_datadir/applnk/Settings/Network/*.desktop
#
%dir %_datadir/applnk/Settings/System/
%_datadir/applnk/Settings/System/*.desktop
#
%dir %_datadir/applnk/Utilities/
%_datadir/applnk/Utilities/kmailcvt.desktop
%_datadir/applnk/Utilities/kdict.desktop
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/kdict/
%_datadir/apps/kdict/kdictui.rc
#
%dir %_datadir/apps/kdict/icons/
%dir %_datadir/apps/kdict/icons/hicolor/
%dir %_datadir/apps/kdict/icons/hicolor/16x16/
%dir %_datadir/apps/kdict/icons/hicolor/16x16/actions/
%_datadir/apps/kdict/icons/hicolor/16x16/actions/*.png
%dir %_datadir/apps/kdict/icons/hicolor/22x22/
%dir %_datadir/apps/kdict/icons/hicolor/22x22/actions/
%_datadir/apps/kdict/icons/hicolor/22x22/actions/*.png
%dir %_datadir/apps/kdict/icons/hicolor/32x32/
%dir %_datadir/apps/kdict/icons/hicolor/32x32/actions/
%_datadir/apps/kdict/icons/hicolor/32x32/actions/*.png
#
#
%dir %_datadir/apps/kicker/
%dir %_datadir/apps/kicker/applets/
%_datadir/apps/kicker/applets/*.desktop
#
#
%dir %_datadir/apps/kit/
%_datadir/apps/kit/eventsrc
#
%dir %_datadir/apps/kit/icons/
%dir %_datadir/apps/kit/icons/hicolor/
%dir %_datadir/apps/kit/icons/hicolor/16x16/
%dir %_datadir/apps/kit/icons/hicolor/16x16/actions/
%_datadir/apps/kit/icons/hicolor/16x16/actions/*.png
#
#
%dir %_datadir/apps/kmail/
%_datadir/apps/kmail/*.rc
%_datadir/apps/kmail/*-rc
#
%dir %_datadir/apps/kmail/about/
%_datadir/apps/kmail/about/*.css
%_datadir/apps/kmail/about/*.html
%_datadir/apps/kmail/about/*.png
#
%dir %_datadir/apps/kmail/pics/
%_datadir/apps/kmail/pics/*.png
%_datadir/apps/kmail/pics/*.xbm
#
#
%dir %_datadir/apps/knewsticker/
%_datadir/apps/knewsticker/eventsrc
#
#
%dir %_datadir/apps/knode/
%_datadir/apps/knode/*.rc
%dir %_datadir/apps/knode/filters/
%_datadir/apps/knode/filters/*.fltr
%_datadir/apps/knode/filters/*.rc
#
%dir %_datadir/apps/knode/icons/
%dir %_datadir/apps/knode/icons/hicolor/
%dir %_datadir/apps/knode/icons/hicolor/16x16/
%dir %_datadir/apps/knode/icons/hicolor/16x16/actions/
%_datadir/apps/knode/icons/hicolor/16x16/actions/*.png
#
%dir %_datadir/apps/knode/icons/hicolor/22x22/
%dir %_datadir/apps/knode/icons/hicolor/22x22/actions/
%_datadir/apps/knode/icons/hicolor/22x22/actions/*.png
#
%dir %_datadir/apps/knode/icons/hicolor/32x32/
%dir %_datadir/apps/knode/icons/hicolor/32x32/actions/
%_datadir/apps/knode/icons/hicolor/32x32/actions/*.png
#
#
%dir %_datadir/apps/knode/pics/
%_datadir/apps/knode/pics/*.png
#
#
%dir %_datadir/apps/konqueror/
%dir %_datadir/apps/konqueror/dirtree/
%dir %_datadir/apps/konqueror/dirtree/remote/
%_datadir/apps/konqueror/dirtree/remote/*.desktop
#
#
%dir %_datadir/apps/kppp/
%dir %_datadir/apps/kppp/Provider/
%dir %_datadir/apps/kppp/Provider/Austria/
%_datadir/apps/kppp/Provider/Austria/.directory
%_datadir/apps/kppp/Provider/Austria/Simon%032Media
#
%dir %_datadir/apps/kppp/Provider/Czech_Republic/
%_datadir/apps/kppp/Provider/Czech_Republic/.directory
%_datadir/apps/kppp/Provider/Czech_Republic/AICOM
%_datadir/apps/kppp/Provider/Czech_Republic/BohemiaNet  
%_datadir/apps/kppp/Provider/Czech_Republic/ES-servis       
%_datadir/apps/kppp/Provider/Czech_Republic/HP-NET           
%_datadir/apps/kppp/Provider/Czech_Republic/KPNQuest  
%_datadir/apps/kppp/Provider/Czech_Republic/SeverNET
%_datadir/apps/kppp/Provider/Czech_Republic/ARsystem  
%_datadir/apps/kppp/Provider/Czech_Republic/Brailcom    
%_datadir/apps/kppp/Provider/Czech_Republic/Econnect        
%_datadir/apps/kppp/Provider/Czech_Republic/INTERNET_OnLine  
%_datadir/apps/kppp/Provider/Czech_Republic/M-soft    
%_datadir/apps/kppp/Provider/Czech_Republic/Video_OnLine
%_datadir/apps/kppp/Provider/Czech_Republic/ASYS      
%_datadir/apps/kppp/Provider/Czech_Republic/CITYNET     
%_datadir/apps/kppp/Provider/Czech_Republic/Falco_computer  
%_datadir/apps/kppp/Provider/Czech_Republic/INTERNEXT        
%_datadir/apps/kppp/Provider/Czech_Republic/Nextra    
%_datadir/apps/kppp/Provider/Czech_Republic/Volny
%_datadir/apps/kppp/Provider/Czech_Republic/ApexNet   
%_datadir/apps/kppp/Provider/Czech_Republic/Contactel   
%_datadir/apps/kppp/Provider/Czech_Republic/Fortech         
%_datadir/apps/kppp/Provider/Czech_Republic/IQNET            
%_datadir/apps/kppp/Provider/Czech_Republic/ProfiNet
#
%dir %_datadir/apps/kppp/Provider/Denmark/
%_datadir/apps/kppp/Provider/Denmark/.directory
%_datadir/apps/kppp/Provider/Denmark/Get2Net
#
%dir %_datadir/apps/kppp/Provider/Germany/
%_datadir/apps/kppp/Provider/Germany/.directory
%_datadir/apps/kppp/Provider/Germany/CityWeb
%_datadir/apps/kppp/Provider/Germany/FH%032Rhein%032Sieg%032%040Informatik%041
%_datadir/apps/kppp/Provider/Germany/MUC%046DE
%_datadir/apps/kppp/Provider/Germany/Netsurf
#
%dir %_datadir/apps/kppp/Provider/Netherlands/
%_datadir/apps/kppp/Provider/Netherlands/12Move
%_datadir/apps/kppp/Provider/Netherlands/Bart
%_datadir/apps/kppp/Provider/Netherlands/Betuwenet
%_datadir/apps/kppp/Provider/Netherlands/Cistron
%_datadir/apps/kppp/Provider/Netherlands/Concepts%032ICT
%_datadir/apps/kppp/Provider/Netherlands/Cybercomm
%_datadir/apps/kppp/Provider/Netherlands/Daxis%032Internet
%_datadir/apps/kppp/Provider/Netherlands/.directory
%_datadir/apps/kppp/Provider/Netherlands/Euronet%032anytime
%_datadir/apps/kppp/Provider/Netherlands/Euronet%032professional
%_datadir/apps/kppp/Provider/Netherlands/Freeler%032basis
%_datadir/apps/kppp/Provider/Netherlands/Freeler%032compleet
%_datadir/apps/kppp/Provider/Netherlands/HetNet
%_datadir/apps/kppp/Provider/Netherlands/IAE
%_datadir/apps/kppp/Provider/Netherlands/Internet%032Acces%032Facilities
%_datadir/apps/kppp/Provider/Netherlands/InterNLnet
%_datadir/apps/kppp/Provider/Netherlands/Interstroom
%_datadir/apps/kppp/Provider/Netherlands/IntroWeb%032Hengelo%032e.o.
%_datadir/apps/kppp/Provider/Netherlands/IntroWeb%032met%0323-cijferig%032kengetal
%_datadir/apps/kppp/Provider/Netherlands/IntroWeb%032met%0324-cijferig%032kengetal
%_datadir/apps/kppp/Provider/Netherlands/Luna
%_datadir/apps/kppp/Provider/Netherlands/Planet%032Internet
%_datadir/apps/kppp/Provider/Netherlands/Raketnet
%_datadir/apps/kppp/Provider/Netherlands/Solcon
%_datadir/apps/kppp/Provider/Netherlands/UwNet
%_datadir/apps/kppp/Provider/Netherlands/Wannadoo%032budget
%_datadir/apps/kppp/Provider/Netherlands/Wannadoo%032budget%320plus
%_datadir/apps/kppp/Provider/Netherlands/Wannadoo%032hometime
%_datadir/apps/kppp/Provider/Netherlands/Wannadoo%032smartpack
%_datadir/apps/kppp/Provider/Netherlands/Wirehub
%_datadir/apps/kppp/Provider/Netherlands/Wish
%_datadir/apps/kppp/Provider/Netherlands/Zonnet


#
%dir %_datadir/apps/kppp/Provider/NewZealand/
%_datadir/apps/kppp/Provider/NewZealand/.directory
%_datadir/apps/kppp/Provider/NewZealand/OrconInternet
%_datadir/apps/kppp/Provider/NewZealand/Paradise
%_datadir/apps/kppp/Provider/NewZealand/Voyager
%_datadir/apps/kppp/Provider/NewZealand/XTRA
%_datadir/apps/kppp/Provider/NewZealand/ihug
#
%dir %_datadir/apps/kppp/Provider/Norway/
%_datadir/apps/kppp/Provider/Norway/.directory
%_datadir/apps/kppp/Provider/Norway/BGNett
%_datadir/apps/kppp/Provider/Norway/Institutt%032for%032informatikk
#
%dir %_datadir/apps/kppp/Provider/Portugal/
%_datadir/apps/kppp/Provider/Portugal/.directory
%_datadir/apps/kppp/Provider/Portugal/Clix
%_datadir/apps/kppp/Provider/Portugal/Netc
%_datadir/apps/kppp/Provider/Portugal/OniNet
#
%dir %_datadir/apps/kppp/Provider/Sweden/
%_datadir/apps/kppp/Provider/Sweden/.directory
%_datadir/apps/kppp/Provider/Sweden/Utfors
%_datadir/apps/kppp/Provider/Sweden/Tiscali
#
%dir %_datadir/apps/kppp/Provider/Slovenia/
%_datadir/apps/kppp/Provider/Slovenia/AmisNet
%_datadir/apps/kppp/Provider/Slovenia/Arnes
%_datadir/apps/kppp/Provider/Slovenia/Kiss
%_datadir/apps/kppp/Provider/Slovenia/SiOL
%_datadir/apps/kppp/Provider/Slovenia/Volja
%_datadir/apps/kppp/Provider/Slovenia/MojNet
#
%dir %_datadir/apps/kppp/Provider/Taiwan/
%_datadir/apps/kppp/Provider/Taiwan/.directory
%_datadir/apps/kppp/Provider/Taiwan/EraNet
%_datadir/apps/kppp/Provider/Taiwan/HiNet
%_datadir/apps/kppp/Provider/Taiwan/SeedNet
#
%dir %_datadir/apps/kppp/Provider/United_Kingdom/
%_datadir/apps/kppp/Provider/United_Kingdom/.directory
%_datadir/apps/kppp/Provider/United_Kingdom/Demon%032Green%0322120666
%_datadir/apps/kppp/Provider/United_Kingdom/Demon%032Purple%0322121666
%_datadir/apps/kppp/Provider/United_Kingdom/Demon%032Red%0320798666
%_datadir/apps/kppp/Provider/United_Kingdom/FreeServe
#
%dir %_datadir/apps/kppp/Provider/Ukraine/
%_datadir/apps/kppp/Provider/Ukraine/Adamant
%_datadir/apps/kppp/Provider/Ukraine/.directory
#
%dir %_datadir/apps/kppp/Provider/Yugoslavia/
#%_datadir/apps/kppp/Provider/Yugoslavia/041Net
#%_datadir/apps/kppp/Provider/Yugoslavia/041Net.rst
#%_datadir/apps/kppp/Provider/Yugoslavia/9819
#%_datadir/apps/kppp/Provider/Yugoslavia/9819.rst
%_datadir/apps/kppp/Provider/Yugoslavia/BeoTelNet
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Bar.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Berane.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.BijeloPolje.CG.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Budva.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Cetinje.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.HercegNovi.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Kotor.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Niksic.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Pljevlja.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Podgorica.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Tivat.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Ulcinj.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.yu
%_datadir/apps/kppp/Provider/Yugoslavia/DrenikNet
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetBeograd
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetCacak
%_datadir/apps/kppp/Provider/Yugoslavia/EUnet@Full
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetKragujevac
%_datadir/apps/kppp/Provider/Yugoslavia/EUnet@Lite
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetNis
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetNoviSad
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetPristina
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetSombor
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetSubotica
%_datadir/apps/kppp/Provider/Yugoslavia/InfoSKY
%_datadir/apps/kppp/Provider/Yugoslavia/PTT
%_datadir/apps/kppp/Provider/Yugoslavia/SCnet
%_datadir/apps/kppp/Provider/Yugoslavia/Sezampro
#%_datadir/apps/kppp/Provider/Yugoslavia/TelefonZona1.rst
#%_datadir/apps/kppp/Provider/Yugoslavia/TelefonZona2.rst
#%_datadir/apps/kppp/Provider/Yugoslavia/TelefonZona3.rst
%_datadir/apps/kppp/Provider/Yugoslavia/VeratNet
%_datadir/apps/kppp/Provider/Yugoslavia/YUBCnet
%_datadir/apps/kppp/Provider/Yugoslavia/041_1xx_xxx.rst
%_datadir/apps/kppp/Provider/Yugoslavia/041_2xx_xxx.rst
%_datadir/apps/kppp/Provider/Yugoslavia/041_3xx_xxx.rst
%_datadir/apps/kppp/Provider/Yugoslavia/041_4xx_xxx.rst
%_datadir/apps/kppp/Provider/Yugoslavia/041_5xx_xxx.rst
%_datadir/apps/kppp/Provider/Yugoslavia/041_9xx_xxx.rst
%_datadir/apps/kppp/Provider/Yugoslavia/041Net
%_datadir/apps/kppp/Provider/Yugoslavia/III_zona-preko_200km.rst
%_datadir/apps/kppp/Provider/Yugoslavia/II_zona-do_200km.rst
%_datadir/apps/kppp/Provider/Yugoslavia/I_zona-ista_mreza.rst
%_datadir/apps/kppp/Provider/Yugoslavia/Lokalni_poziv.rst
#
#
%dir %_datadir/apps/kppp/Rules/
%_datadir/apps/kppp/Rules/TEMPLATE
%_datadir/apps/kppp/Rules/checkrules
#
%dir %_datadir/apps/kppp/Rules/Argentina/
%_datadir/apps/kppp/Rules/Argentina/*.rst
#
%dir %_datadir/apps/kppp/Rules/Australia/
%_datadir/apps/kppp/Rules/Australia/*.rst
#
%dir %_datadir/apps/kppp/Rules/Austria/
%dir %_datadir/apps/kppp/Rules/Austria/Business_1/
%_datadir/apps/kppp/Rules/Austria/Business_1/*.rst
#
%dir %_datadir/apps/kppp/Rules/Austria/Business_2/
%_datadir/apps/kppp/Rules/Austria/Business_2/*.rst
#
%dir %_datadir/apps/kppp/Rules/Austria/Minimum/
%_datadir/apps/kppp/Rules/Austria/Minimum/*.rst
#
%dir %_datadir/apps/kppp/Rules/Austria/Standard/
%_datadir/apps/kppp/Rules/Austria/Standard/*.rst
#
%dir %_datadir/apps/kppp/Rules/Bangladesh/
%_datadir/apps/kppp/Rules/Bangladesh/*.rst
#
%dir %_datadir/apps/kppp/Rules/Belgium/
%_datadir/apps/kppp/Rules/Belgium/*.rst
#
%dir %_datadir/apps/kppp/Rules/Brasil/
%_datadir/apps/kppp/Rules/Brasil/*.rst
#
%dir %_datadir/apps/kppp/Rules/Croatia/
%_datadir/apps/kppp/Rules/Croatia/*.rst
#
%dir %_datadir/apps/kppp/Rules/Czechia/
%_datadir/apps/kppp/Rules/Czechia/*.rst
#
%dir %_datadir/apps/kppp/Rules/Denmark/
%_datadir/apps/kppp/Rules/Denmark/*.rst
#
#
%dir %_datadir/apps/kppp/Rules/Estonia/
%_datadir/apps/kppp/Rules/Estonia/*.rst
#
%dir %_datadir/apps/kppp/Rules/France/
%_datadir/apps/kppp/Rules/France/*.rst
#
%dir %_datadir/apps/kppp/Rules/Finland/
%_datadir/apps/kppp/Rules/Finland/*.rst
#
%dir %_datadir/apps/kppp/Rules/Germany/
%_datadir/apps/kppp/Rules/Germany/*.rst
#
%dir %_datadir/apps/kppp/Rules/Greece/
%_datadir/apps/kppp/Rules/Greece/*.rst
#
%dir %_datadir/apps/kppp/Rules/Hong_Kong/
%_datadir/apps/kppp/Rules/Hong_Kong/*.rst
#
%dir %_datadir/apps/kppp/Rules/Hungary/
%_datadir/apps/kppp/Rules/Hungary/*.rst
#
%dir %_datadir/apps/kppp/Rules/Iceland/
%_datadir/apps/kppp/Rules/Iceland/*.rst
#
%dir %_datadir/apps/kppp/Rules/India/
%_datadir/apps/kppp/Rules/India/*.rst
#
%dir %_datadir/apps/kppp/Rules/Indonesia/
%_datadir/apps/kppp/Rules/Indonesia/*.rst
#
%dir %_datadir/apps/kppp/Rules/Ireland/
%_datadir/apps/kppp/Rules/Ireland/*.rst
#
%dir %_datadir/apps/kppp/Rules/Israel/
%_datadir/apps/kppp/Rules/Israel/*.rst
#
%dir %_datadir/apps/kppp/Rules/Italy/
%_datadir/apps/kppp/Rules/Italy/*.rst
#
%dir %_datadir/apps/kppp/Rules/Jamaica/
%_datadir/apps/kppp/Rules/Jamaica/*.rst
#
%dir %_datadir/apps/kppp/Rules/Japan/
%_datadir/apps/kppp/Rules/Japan/*.rst
#
%dir %_datadir/apps/kppp/Rules/Kazakhstan/
%_datadir/apps/kppp/Rules/Kazakhstan/*.rst
#
%dir %_datadir/apps/kppp/Rules/Luxembourg/
%_datadir/apps/kppp/Rules/Luxembourg/*.rst
#
%dir %_datadir/apps/kppp/Rules/Malaysia/
%_datadir/apps/kppp/Rules/Malaysia/*.rst
#
%dir %_datadir/apps/kppp/Rules/Macedonia/
%_datadir/apps/kppp/Rules/Macedonia/*.rst
#
%dir %_datadir/apps/kppp/Rules/Netherlands/
%_datadir/apps/kppp/Rules/Netherlands/*.rst
#
%dir %_datadir/apps/kppp/Rules/Norway/
%_datadir/apps/kppp/Rules/Norway/*.rst
#
%dir %_datadir/apps/kppp/Rules/Poland/
%_datadir/apps/kppp/Rules/Poland/*.rst
#
%dir %_datadir/apps/kppp/Rules/Portugal/
%_datadir/apps/kppp/Rules/Portugal/*.rst
#
%dir %_datadir/apps/kppp/Rules/Romania/
%_datadir/apps/kppp/Rules/Romania/*.rst
#
%dir %_datadir/apps/kppp/Rules/Russia/
%_datadir/apps/kppp/Rules/Russia/*.rst
%_datadir/apps/kppp/Rules/Russia/*.ru
#
%dir %_datadir/apps/kppp/Rules/Singapore/
%_datadir/apps/kppp/Rules/Singapore/*.rst
#
%dir %_datadir/apps/kppp/Rules/Slovakia/
%_datadir/apps/kppp/Rules/Slovakia/*.rst

%dir %_datadir/apps/kppp/Rules/Slovenia/
%_datadir/apps/kppp/Rules/Slovenia/*.rst
#
%dir %_datadir/apps/kppp/Rules/South_Afrika/
%_datadir/apps/kppp/Rules/South_Afrika/*.rst
#
%dir %_datadir/apps/kppp/Rules/Spain/
%_datadir/apps/kppp/Rules/Spain/*.rst
#
%dir %_datadir/apps/kppp/Rules/Sweden/
%_datadir/apps/kppp/Rules/Sweden/*.rst
#
%dir %_datadir/apps/kppp/Rules/Switzerland/
%_datadir/apps/kppp/Rules/Switzerland/*.rst
#
%dir %_datadir/apps/kppp/Rules/Turkey/
%_datadir/apps/kppp/Rules/Turkey/*.rst
#
%dir %_datadir/apps/kppp/Rules/United_Kingdom/
%_datadir/apps/kppp/Rules/United_Kingdom/*.rst
#
%dir %_datadir/apps/kppp/Rules/Uruguay/
%_datadir/apps/kppp/Rules/Uruguay/*.rst
#
%dir %_datadir/apps/kppp/Rules/Ukraine/
%_datadir/apps/kppp/Rules/Ukraine/*.rst
%_datadir/apps/kppp/Rules/Ukraine/*.uk
#
%dir %_datadir/apps/kppp/pics/
%_datadir/apps/kppp/pics/*.png
#
#
%dir %_datadir/apps/ksirc/
%_datadir/apps/ksirc/relnotes
%_datadir/apps/ksirc/*.gz
%_datadir/apps/ksirc/*.ini
%_datadir/apps/ksirc/*.pl
%_datadir/apps/ksirc/*.txt
#
%dir %_datadir/apps/ksirc/pics/
%_datadir/apps/ksirc/pics/*.png
%_datadir/apps/ksirc/pics/*.xpm
%dir %_datadir/apps/ksirc/pics/emoticons/
%_datadir/apps/ksirc/pics/emoticons/*.png
#
#
%dir %_datadir/apps/lisa/
%_datadir/apps/lisa/README
#
%dir %_datadir/apps/kconf_update/
%_datadir/apps/kconf_update/*.upd
%_datadir/apps/kconf_update/*.pl
#
#
%dir %_datadir/config/
%_datadir/config/ksircrc
%_datadir/config/ktalkdrc
#
#
#
%dir %_datadir/icons/hicolor/
%dir %_datadir/icons/hicolor/16x16/
%dir %_datadir/icons/hicolor/16x16/apps/
%_datadir/icons/hicolor/16x16/apps/*.png
#
#
%dir %_datadir/icons/hicolor/32x32/
%dir %_datadir/icons/hicolor/32x32/apps/
%_datadir/icons/hicolor/32x32/apps/*.png
#
%dir %_datadir/icons/hicolor/48x48/
%dir %_datadir/icons/hicolor/48x48/apps/
%_datadir/icons/hicolor/48x48/apps/*.png
#
#
%dir %_datadir/icons/locolor/
%dir %_datadir/icons/locolor/16x16/
%dir %_datadir/icons/locolor/16x16/apps/
%_datadir/icons/locolor/16x16/apps/*.png

%dir %_datadir/icons/locolor/32x32/
%dir %_datadir/icons/locolor/32x32/apps/
%_datadir/icons/locolor/32x32/apps/*.png
#
#
#
%dir %_datadir/services/
%_datadir/services/*.protocol
%_datadir/services/*.desktop
#
#
#
%dir %_datadir/sounds/
%_datadir/sounds/ktalkd.wav



%files devel
%defattr(-,root,root,-)
%_includedir/*.h
%_includedir/mimelib/*.h



%changelog
* Wed Jun 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde 3.0.2

* Mon May 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-5mdk
- Rebuild against gcc3.1

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Remove "-fomit-frame-pointer"

* Fri Apr 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- Fix spec file

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Fix update menu

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0

* Thu Mar 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.1mdk
- RC3

* Sat Mar 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc2.1mdk
- RC2

* Sat Jan 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Sun Dec 30 2001 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta1.4mdk
- Fix previous changelog
- Allow KDE 2 and KDE 3 to be installed in same time (lot of changes, see CVS
  for details)
- Don't build static libraries
- Remove KDE 2's changelogs (KDE 2 and KDE 3 spec files have a separate life
  now)
- Remove 7.2 support
    
* Thu Dec 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1.3mdk
- Rename to allow KDE 2 and KDE 3 to be installed in same time

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-3mdk
- kde 3.0 beta1

* Thu Nov 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Improve spec

* Fri Nov 23 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0
